<?php

defined('_VALID_CALL') or die('Direct Access is not allowed.');

require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS . 'coe_basics/classes/constants.php';

//update to v1.3.0
function _update_130() {

    global $db;

    //remove cfg var
    $db->Execute("DELETE FROM " . TABLE_CONFIGURATION . " WHERE `config_key`='" . COE_BASICS_PYTHON_VERSION . "'");

    //create encoding key
    $key = bin2hex(random_bytes(128));
    $db->Execute("INSERT INTO " . TABLE_CONFIGURATION . " " . " (`config_key`, `config_value`, `group_id`, `sort_order`, `type`)"
        . " VALUES ('" . COE_BASICS_DB_KEY . "', ?, 0, 500, 'hidden')", array($key));

    $db->Execute("DELETE FROM " . TABLE_ADMIN_NAVIGATION . " WHERE text LIKE 'coe_basics%'");


    //DB BACKUPS
    //  table
    $db->Execute("
        CREATE TABLE IF NOT EXISTS " . TABLE_COE_BASICS_DB_BACKUPS . " (
            id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
            backup_file VARCHAR(255) NOT NULL,
            backup_size DECIMAL(15,1) NOT NULL,
            backup_hash VARCHAR(128) NOT NULL,
            date_added TIMESTAMP DEFAULT CURRENT_TIMESTAMP,		
		PRIMARY KEY(id)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
	");

    //  overview
    $db->Execute("
        INSERT INTO `" . TABLE_ADMIN_NAVIGATION . "` (`text`,`icon`,`url_i`,`url_d`,`sortorder`,`parent`,`type`,`navtype`,`cls`,`handler`,`iconCls`)
        VALUES
        ('coe_basics_db_backup','../" . _SRV_WEB_ICONS . "exclamation.png','&plugin=coe_basics&load_section=coe_basics_db_backup','adminHandler.php',100000,'systemroot','G','W',NULL,NULL,'fas fa-database')");

    //  create
    $db->Execute("
        INSERT INTO `" . TABLE_ADMIN_NAVIGATION . "` (`text`,`icon`,`url_i`,`url_d`,`sortorder`,`parent`,`type`,`navtype`,`cls`,`handler`,`iconCls`)
        VALUES
        ('coe_basics_db_backup_create','../" . _SRV_WEB_ICONS . "exclamation.png','&plugin=coe_basics&load_section=coe_basics_db_backup_create&edit_id=1','adminHandler.php',10000,'coe_basics_db_backup','I','W',NULL,NULL,'fas fa-plus-circle')");

}

//update to v1.4.1
function _update_141() {

    global $db;

    //runtime db backup
    $db->Execute("ALTER TABLE " . TABLE_COE_BASICS_DB_BACKUPS . " ADD backup_runtime VARCHAR(16) DEFAULT NULL AFTER backup_size");

    //adjust west navi entries
    $db->Execute("UPDATE `" . TABLE_ADMIN_NAVIGATION . "` SET url_i=? WHERE text=?", array('&plugin=coe_basics&load_section=coe_basics_db_backup', 'coe_basics_db_backup'));
    $db->Execute("UPDATE `" . TABLE_ADMIN_NAVIGATION . "` SET url_i=? WHERE text=?", array('&plugin=coe_basics&load_section=coe_basics_db_backup&pg=showCreateBackupDialog', 'coe_basics_db_backup_create'));

}


function _update_200() {

    global $db;

    //lic table
    $db->Execute("
        CREATE TABLE IF NOT EXISTS " . TABLE_COE_BASICS_LICENSES . " (
            license_code VARCHAR(255) NOT NULL,
            valid_status TINYINT(1) DEFAULT 0,
            lic_type VARCHAR(64) DEFAULT NULL,
            expiry TIMESTAMP NULL DEFAULT NULL,
            comments TEXT DEFAULT NULL,		
		PRIMARY KEY(license_code)
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
	");

    //  overview
    $db->Execute("
        INSERT INTO `" . TABLE_ADMIN_NAVIGATION . "` (`text`,`icon`,`url_i`,`url_d`,`sortorder`,`parent`,`type`,`navtype`,`cls`,`handler`,`iconCls`)
        VALUES
        ('coe_basics_licenses','../" . _SRV_WEB_ICONS . "exclamation.png','&plugin=coe_basics&load_section=coe_basics_licenses','adminHandler.php',100002,'systemroot','I','W',NULL,NULL,'fas fa-key')");

}